Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.util
Class DefaultFOPResourceAccessor

    java.lang.Object
      org.apache.fop.afp.util.SimpleResourceAccessor
          org.apache.fop.afp.util.DefaultFOPResourceAccessor

All Implemented Interfaces:
  ResourceAccessor

    public class DefaultFOPResourceAccessor

extends SimpleResourceAccessor

Default implementation of the `ResourceAccessor` interface for use inside FOP.

Constructor Summary
`DefaultFOPResourceAccessor(FOUserAgent userAgent, java.lang.String categoryBaseURI, java.net.URI baseURI)` Constructor for resource to be accessed via the `FOUserAgent`.

Method Summary
`java.io.InputStream` | `createInputStream(java.net.URI uri)` Creates a new `InputStream` for the given URI that allows read access to an external resource.

Methods inherited from class org.apache.fop.afp.util.SimpleResourceAccessor
`getBaseURI, resolveAgainstBase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFOPResourceAccessor

    public DefaultFOPResourceAccessor(FOUserAgent userAgent,
                                      java.lang.String categoryBaseURI,
                                      java.net.URI baseURI)

  Constructor for resource to be accessed via the `FOUserAgent`. This contructor can take two base URIs: the category base URI is the one to use when differentiating between normal resources (ex. images) and font resources. So, if fonts need to be accessed, you can set the `FontManager`'s base URI instead of the one on the `FopFactory`.

  Parameters:
    `userAgent` - the FO user agent
    `categoryBaseURI` - the category base URI (may be null)
    `baseURI` - the custom base URI to resolve relative URIs against (may be null)

Method Detail

### createInputStream

    public java.io.InputStream createInputStream(java.net.URI uri)
                                          throws java.io.IOException

  Creates a new `InputStream` for the given URI that allows read access to an external resource.

  Specified by:
    `createInputStream` in interface `ResourceAccessor`
  Overrides:
    `createInputStream` in class `SimpleResourceAccessor`
  Parameters:
    `uri` - the URI of an external resource.
  Returns:
    the new input stream
  Throws:
    `java.io.IOException` - if an I/O error occurs while opening the resource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.